Summary: geomview -- interactive geometry viewing program

Name: geomview
Version: 1.8.1
Release: alt1

License: GPL
Group: Sciences/Mathematics
Url: http://www.geomview.org
Packager: Vlasenko Igor <viy@altlinux.ru>
Source: http://ftp1.sourceforge.net/geomview/%name-%version.tar.bz2
Source1: %{name}_16.xpm
Source2: %{name}_32.xpm
Source3: %{name}_48.xpm
Source4: %{name}
Patch0: http://ftp.debian.org/debian/pool/main/g/geomview/%{name}_%version-8.diff.bz2

#Require: XFORMS # TODO

# Automatically added by buildreq on Fri Apr 01 2005 (-bi)
BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ ghostscript-utils libGLU-devel libstdc++-devel openmotif-devel

%define DIRSETTINGS moduledir=%_libdir/%{name} geomdatadir=%_datadir/%{name}/data

%description
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 Geomview can display 3-D graphics output from Mathematica and Maple.
 In particular, geomview can display things in hyperbolic and
 spherical space as well as Euclidean space.
 .
 Geomview allows multiple independently controllable objects and
 cameras.  It provides interactive control for motion, appearances
 (including lighting, shading, and materials), picking on an
 object, edge or vertex level, snapshots in SGI image file or
 Renderman RIB format, and adding or deleting objects is provided
 through direct mouse manipulation, control panels, and keyboard
 shortcuts.  External programs can drive desired aspects of the
 viewer (such as continually loading changing geometry or
 controlling the motion of certain objects) while allowing
 interactive control of everything else.
 Homepage: http://www.geomview.org.


%prep
%setup
%patch0 -p1

%build
%configure --with-build-path=/usr/X11R6 --with-xforms=/usr/X11R6

%make_build %DIRSETTINGS \
	ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

%install
%__make install %DIRSETTINGS DESTDIR=$RPM_BUILD_ROOT
%__install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%{name}.xpm
%__install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%{name}.xpm
%__install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%{name}.xpm
%__install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_menudir/%{name}

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS NEWS README INSTALL.Geomview
%doc doc/html
%doc doc/OOGL.m.txt doc/motion.tex doc/gvplot.txt doc/oogltour doc/example* src/bin/animate/animate.1 src/lib/geomutil/bdy/bdy.3 src/lib/geomutil/geomutil.3
#%doc doc/geomview.ps

%_bindir/*
%_man1dir/*
%_infodir/%{name}*
%_libdir/%name
%_datadir/%name/data
%_miconsdir/%{name}.xpm
%_iconsdir/%{name}.xpm
%_liconsdir/%{name}.xpm
%_menudir/%{name}

%changelog
* Tue Mar 29 2005 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt1
- first build for AltLinux
